db4o |

# Configuration.TimeoutPingClients Method

configures the delay time after which the server starts pinging connected clients to check the connection.

void TimeoutPingClients(
int milliseconds
);

#### Parameters

milliseconds
  time in milliseconds

#### Remarks

configures the delay time after which the server starts pinging connected clients to check the connection.
If no client messages are received by the server for the configured interval, the server sends a "PING" message to the client and wait's for an "OK" response. After 5 unsuccessful attempts, the client connection is closed.
This value may need to be increased for single-threaded clients, since they can't respond instantaneously.
Default value: 180000ms (3 minutes)

#### See Also

Configuration Interface | com.db4o.config Namespace |